PAUSE(3)

NAME
pause - stop until signal

SYNOPSIS
#include <unistd.h>
int
pause(void);

DESCRIPTION
Pause is made obsolete by sigsuspend(2).

The pause() function forces a process to pause until a signal is received from either the kill(2) function or an interval timer (see setitimer(2)).

Upon termination of a signal handler started during a pause(), the pause() call will return.

RETURN VALUES
Always returns -1.

ERRORS
The pause() function may set the global variable errno to the following error:

[EINTR]
    The call was interrupted.

SEE ALSO
kill(2), select(2), setitimer(2), sigsuspend(2)

HISTORY
A pause() system call first appeared in the Programmer's Workbench (PWB/UNIX) and was then ported to AT&T UNIX. It was reimplemented as a wrapper around the sigpause() and sigblock() system calls in 4.2BSD, and around the sigsuspend(2) and sigprocmask(2) system calls in 4.3BSD Reno.